namespace Netina.Core.CoreServices.Abstracts;

public interface IPageService : IScopedDependency
{
    Task<BasePageSDto> GetPageAsync(Guid? id = null, string? pageName = null, string? pageSlug = null,string? type = null, CancellationToken cancellationToken=default);
    Task<List<BasePageSDto>> GetPagesAsync(CancellationToken cancellationToken = default);
    Task<bool> CreatePageAsync(PageActionRequestDto entity, CancellationToken cancellationToken = default);
    Task<bool> DeletePageAsync(Guid id,CancellationToken cancellationToken = default);
}